/// <reference types="node" />
import urlMod from "url";
import { NullableSourceText } from "./source-map/source-store";
/**
 * Returns the `string` corresponding to the provided URL record.
 */
export declare type GetText = (url: Readonly<urlMod.URL>) => Promise<string>;
/**
 * Synchronous variant of `GetText`.
 */
export declare type GetTextSync = (url: Readonly<urlMod.URL>) => string;
/**
 * Returns the string corresponding to the provided `url`.
 *
 * @param url URL for the text content.
 */
export declare function getText(url: Readonly<urlMod.URL>): Promise<string>;
/**
 * Synchronous variant of `getText`.
 */
export declare function getTextSync(url: Readonly<urlMod.URL>): string;
export declare function getTextByDataUrl(url: Readonly<urlMod.URL>): string;
export declare function getTextByFileUrl(url: Readonly<urlMod.URL>): Promise<string>;
export declare function getTextByFileUrlSync(url: Readonly<urlMod.URL>): string;
export declare function getTextSyncFromSourceStore(_sources: Iterable<[string, NullableSourceText]>): GetTextSync;
