import libCoverage from "istanbul-lib-coverage";
import { Position, SourceLocation } from "./index";
export declare class CoverageMapBuilder {
    private readonly files;
    constructor();
    addStatement(url: string, loc: SourceLocation, count: number): void;
    addFunction(url: string, decl: SourceLocation, loc: SourceLocation, count: number, name: string): void;
    addBranch(url: string, mainLoc: SourceLocation, arms: Iterable<[SourceLocation, number]>, type: string): void;
    build(): libCoverage.CoverageMapData;
    private getOrCreateFileCoverageBuilder;
}
export declare class FileCoverageBuilder {
    private readonly branches;
    private readonly functions;
    private readonly statements;
    constructor();
    addStatement(loc: SourceLocation, count: number): void;
    addFunction(decl: SourceLocation, loc: SourceLocation, count: number, name?: string): void;
    addBranch(mainLoc: SourceLocation, arms: Iterable<[SourceLocation, number]>, type: string): void;
    build(url: string): libCoverage.FileCoverageData;
}
export declare function hashSourceLocation(loc: SourceLocation): string;
export declare function hashPosition(pos: Position): string;
