/// <reference types="node" />
import { ProcessCov, ScriptCov } from "@c88/v8-coverage";
import cp from "child_process";
import { SourceType } from "istanbulize";
import { CoverageFilter } from "./filter";
export interface ScriptMeta {
    sourceText: string;
    sourceType: SourceType;
    sourceMapUrl?: string;
}
export interface RichScriptCov extends ScriptCov, ScriptMeta {
}
export interface RichProcessCov extends ProcessCov {
    result: RichScriptCov[];
}
export interface SpawnInspectedOptions extends cp.SpawnOptions {
    filter?: CoverageFilter;
    timeout?: number;
    onRootProcess?(process: cp.ChildProcess): any;
}
export declare function spawnInspected(file: string, args: ReadonlyArray<string>, options: SpawnInspectedOptions): Promise<RichProcessCov[]>;
