import libCoverage from "istanbul-lib-coverage";
import { GetText } from "./get-text";
import { NullableSourceText } from "./source-map/source-store";
import { RichProcessCov } from "./spawn-inspected";
export interface RichIstanbulCoverageMap {
    coverageMap: libCoverage.CoverageMap;
    sources: Map<string, NullableSourceText>;
}
export declare function processCovsToIstanbul(processCovs: ReadonlyArray<RichProcessCov>, getText?: GetText): Promise<RichIstanbulCoverageMap>;
/**
 * Convert to an istanbul coverage map, without applying source maps.
 *
 * @param processCov Process coverage to convert.
 */
export declare function toRawIstanbul(processCov: RichProcessCov): libCoverage.CoverageMapData;
